apiVersion: v1
kind: ConfigMap
metadata:
  name: grafana-dashboard-kumori-envoy
  namespace: monitoring
data:
  grafana-dashboard-kumori-envoy.json: |
    {
      "__inputs": [
      ],
      "__requires": [
        {
          "type": "grafana",
          "id": "grafana",
          "name": "Grafana",
          "version": "5.2.1"
        },
        {
          "type": "panel",
          "id": "graph",
          "name": "Graph",
          "version": "5.0.0"
        },
        {
          "type": "datasource",
          "id": "prometheus",
          "name": "Prometheus",
          "version": "5.0.0"
        }
      ],
      "annotations": {
        "list": [
          {
            "builtIn": 1,
            "datasource": "-- Grafana --",
            "enable": true,
            "hide": true,
            "iconColor": "rgba(0, 211, 255, 1)",
            "name": "Annotations & Alerts",
            "type": "dashboard"
          }
        ]
      },
      "editable": true,
      "gnetId": 7250,
      "graphTooltip": 0,
      "id": null,
      "iteration": 1533003659015,
      "links": [],
      "panels": [
        {
          "aliasColors": {},
          "bars": false,
          "dashLength": 10,
          "dashes": false,
          "datasource": "$datasource",
          "fill": 1,
          "gridPos": {
            "h": 7,
            "w": 12,
            "x": 0,
            "y": 0
          },
          "id": 1,
          "legend": {
            "alignAsTable": true,
            "avg": true,
            "current": true,
            "max": true,
            "min": true,
            "rightSide": true,
            "show": true,
            "total": false,
            "values": true
          },
          "lines": true,
          "linewidth": 1,
          "links": [],
          "nullPointMode": "null",
          "percentage": false,
          "pointradius": 5,
          "points": false,
          "renderer": "flot",
          "seriesOverrides": [],
          "spaceLength": 10,
          "stack": false,
          "steppedLine": false,
          "targets": [
            {
              "expr": "sum(rate(envoy_cluster_upstream_cx_total{cluster=~\"$cluster\",envoy_cluster_name=~\"[[originating_service]]\"}[1m]))",
              "format": "time_series",
              "intervalFactor": 2,
              "legendFormat": "egress CPS",
              "refId": "A"
            },
            {
              "expr": "sum(rate(envoy_cluster_upstream_rq_total{cluster=~\"$cluster\",envoy_cluster_name=~\"[[originating_service]]\"}[1m]))",
              "format": "time_series",
              "intervalFactor": 2,
              "legendFormat": "egress RPS",
              "refId": "B"
            },
            {
              "expr": "sum(rate(envoy_cluster_upstream_rq_pending_total{cluster=~\"$cluster\",envoy_cluster_name=~\"[[originating_service]]\"}[1m]))",
              "format": "time_series",
              "intervalFactor": 2,
              "legendFormat": "pending req to",
              "refId": "C"
            },
            {
              "expr": "sum(rate(envoy_cluster_lb_healthy_panic{cluster=~\"$cluster\",envoy_cluster_name=~\"[[originating_service]]\"}[1m]))",
              "format": "time_series",
              "intervalFactor": 2,
              "legendFormat": "lb healthy panic RPS",
              "refId": "D"
            }
          ],
          "thresholds": [],
          "timeFrom": null,
          "timeShift": null,
          "title": "Egress CPS / RPS",
          "tooltip": {
            "shared": true,
            "sort": 0,
            "value_type": "individual"
          },
          "type": "graph",
          "xaxis": {
            "buckets": null,
            "mode": "time",
            "name": null,
            "show": true,
            "values": []
          },
          "yaxes": [
            {
              "format": "short",
              "label": null,
              "logBase": 1,
              "max": null,
              "min": 0,
              "show": true
            },
            {
              "format": "short",
              "label": null,
              "logBase": 1,
              "max": null,
              "min": 0,
              "show": true
            }
          ],
          "yaxis": {
            "align": false,
            "alignLevel": null
          }
        },
        {
          "aliasColors": {},
          "bars": false,
          "dashLength": 10,
          "dashes": false,
          "datasource": "$datasource",
          "fill": 1,
          "gridPos": {
            "h": 7,
            "w": 12,
            "x": 12,
            "y": 0
          },
          "id": 3,
          "legend": {
            "alignAsTable": true,
            "avg": true,
            "current": true,
            "max": true,
            "min": true,
            "rightSide": true,
            "show": true,
            "total": false,
            "values": true
          },
          "lines": true,
          "linewidth": 1,
          "links": [],
          "nullPointMode": "null",
          "percentage": false,
          "pointradius": 5,
          "points": false,
          "renderer": "flot",
          "seriesOverrides": [],
          "spaceLength": 10,
          "stack": false,
          "steppedLine": false,
          "targets": [
            {
              "expr": "sum(delta(envoy_cluster_membership_change{cluster=~\"$cluster\",envoy_cluster_name=~\"[[originating_service]]\"}[1m]))",
              "format": "time_series",
              "intervalFactor": 2,
              "legendFormat": "membership changes [1m]",
              "refId": "A"
            },
            {
              "expr": "sum(envoy_cluster_membership_total{cluster=~\"$cluster\",envoy_cluster_name=~\"[[originating_service]]\"})",
              "format": "time_series",
              "intervalFactor": 2,
              "legendFormat": "total membershiip",
              "refId": "B"
            },
            {
              "expr": "sum(envoy_cluster_outlier_detection_ejections_active{cluster=~\"$cluster\",envoy_cluster_name=~\"[[originating_service]]\"})",
              "format": "time_series",
              "intervalFactor": 2,
              "legendFormat": "outlier ejections active",
              "refId": "C"
            },
            {
              "expr": "sum(envoy_cluster_membership_healthy{cluster=~\"$cluster\",envoy_cluster_name=~\"[[originating_service]]\"})",
              "format": "time_series",
              "intervalFactor": 2,
              "legendFormat": "healthy members (active HC and outlier)",
              "refId": "D"
            },
            {
              "expr": "sum(envoy_cluster_health_check_healthy{cluster=~\"$cluster\",envoy_cluster_name=~\"[[originating_service]]\"})",
              "format": "time_series",
              "intervalFactor": 2,
              "legendFormat": "healthy members (active HC only)",
              "refId": "E"
            }
          ],
          "thresholds": [],
          "timeFrom": null,
          "timeShift": null,
          "title": "Cluster Membership",
          "tooltip": {
            "shared": true,
            "sort": 0,
            "value_type": "individual"
          },
          "type": "graph",
          "xaxis": {
            "buckets": null,
            "mode": "time",
            "name": null,
            "show": true,
            "values": []
          },
          "yaxes": [
            {
              "format": "short",
              "label": null,
              "logBase": 1,
              "max": null,
              "min": 0,
              "show": true
            },
            {
              "format": "short",
              "label": null,
              "logBase": 1,
              "max": null,
              "min": 0,
              "show": true
            }
          ],
          "yaxis": {
            "align": false,
            "alignLevel": null
          }
        },
        {
          "aliasColors": {},
          "bars": false,
          "dashLength": 10,
          "dashes": false,
          "datasource": "$datasource",
          "fill": 1,
          "gridPos": {
            "h": 7,
            "w": 12,
            "x": 0,
            "y": 7
          },
          "id": 2,
          "legend": {
            "alignAsTable": true,
            "avg": true,
            "current": true,
            "max": true,
            "min": true,
            "rightSide": true,
            "show": true,
            "total": false,
            "values": true
          },
          "lines": true,
          "linewidth": 1,
          "links": [],
          "nullPointMode": "null",
          "percentage": false,
          "pointradius": 5,
          "points": false,
          "renderer": "flot",
          "seriesOverrides": [],
          "spaceLength": 10,
          "stack": false,
          "steppedLine": false,
          "targets": [
            {
              "expr": "sum(envoy_cluster_upstream_cx_active{cluster=~\"$cluster\",envoy_cluster_name=~\"[[originating_service]]\"})",
              "format": "time_series",
              "intervalFactor": 2,
              "legendFormat": "connections",
              "refId": "A"
            },
            {
              "expr": "sum(envoy_cluster_upstream_rq_active{cluster=~\"$cluster\",envoy_cluster_name=~\"[[originating_service]]\"})",
              "format": "time_series",
              "intervalFactor": 2,
              "legendFormat": "requests",
              "refId": "B"
            },
            {
              "expr": "sum(envoy_cluster_upstream_rq_pending_active{cluster=~\"$cluster\",envoy_cluster_name=~\"[[originating_service]]\"})",
              "format": "time_series",
              "intervalFactor": 2,
              "legendFormat": "pending",
              "refId": "C"
            }
          ],
          "thresholds": [],
          "timeFrom": null,
          "timeShift": null,
          "title": "Total Connections / Requests",
          "tooltip": {
            "shared": true,
            "sort": 0,
            "value_type": "individual"
          },
          "type": "graph",
          "xaxis": {
            "buckets": null,
            "mode": "time",
            "name": null,
            "show": true,
            "values": []
          },
          "yaxes": [
            {
              "format": "short",
              "label": null,
              "logBase": 1,
              "max": null,
              "min": 0,
              "show": true
            },
            {
              "format": "short",
              "label": null,
              "logBase": 1,
              "max": null,
              "min": 0,
              "show": true
            }
          ],
          "yaxis": {
            "align": false,
            "alignLevel": null
          }
        },
        {
          "aliasColors": {},
          "bars": false,
          "dashLength": 10,
          "dashes": false,
          "datasource": "$datasource",
          "fill": 1,
          "gridPos": {
            "h": 7,
            "w": 6,
            "x": 12,
            "y": 7
          },
          "id": 5,
          "legend": {
            "alignAsTable": true,
            "avg": true,
            "current": true,
            "max": true,
            "min": true,
            "show": true,
            "total": false,
            "values": true
          },
          "lines": true,
          "linewidth": 1,
          "links": [],
          "nullPointMode": "null as zero",
          "percentage": false,
          "pointradius": 5,
          "points": false,
          "renderer": "flot",
          "seriesOverrides": [],
          "spaceLength": 10,
          "stack": false,
          "steppedLine": false,
          "targets": [
            {
              "expr": "sum(rate(envoy_cluster_upstream_rq_xx{cluster=~\"$cluster\",response_code_class=\"4\",envoy_cluster_name=~\"[[originating_service]]\"}[1m])) / sum(rate(envoy_cluster_upstream_rq_xx{cluster=~\"$cluster\",envoy_cluster_name=~\"[[originating_service]]\"}[1m]))",
              "format": "time_series",
              "intervalFactor": 2,
              "legendFormat": "%",
              "refId": "A"
            }
          ],
          "thresholds": [],
          "timeFrom": null,
          "timeShift": null,
          "title": "4xx response",
          "tooltip": {
            "shared": true,
            "sort": 0,
            "value_type": "individual"
          },
          "type": "graph",
          "xaxis": {
            "buckets": null,
            "mode": "time",
            "name": null,
            "show": true,
            "values": []
          },
          "yaxes": [
            {
              "decimals": null,
              "format": "percentunit",
              "label": null,
              "logBase": 1,
              "max": "1",
              "min": "0",
              "show": true
            },
            {
              "format": "short",
              "label": null,
              "logBase": 1,
              "max": null,
              "min": 0,
              "show": true
            }
          ],
          "yaxis": {
            "align": false,
            "alignLevel": null
          }
        },
        {
          "aliasColors": {},
          "bars": false,
          "dashLength": 10,
          "dashes": false,
          "datasource": "$datasource",
          "fill": 1,
          "gridPos": {
            "h": 7,
            "w": 6,
            "x": 18,
            "y": 7
          },
          "id": 4,
          "legend": {
            "alignAsTable": true,
            "avg": true,
            "current": true,
            "max": true,
            "min": true,
            "rightSide": false,
            "show": true,
            "total": false,
            "values": true
          },
          "lines": true,
          "linewidth": 1,
          "links": [],
          "nullPointMode": "null as zero",
          "percentage": false,
          "pointradius": 5,
          "points": false,
          "renderer": "flot",
          "seriesOverrides": [],
          "spaceLength": 10,
          "stack": false,
          "steppedLine": false,
          "targets": [
            {
              "expr": "sum(rate(envoy_cluster_upstream_rq_xx{cluster=~\"$cluster\",response_code_class!=\"5\",envoy_cluster_name=~\"[[originating_service]]\"}[1m])) / sum(rate(envoy_cluster_upstream_rq_xx{cluster=~\"$cluster\",envoy_cluster_name=~\"[[originating_service]]\"}[1m]))",
              "format": "time_series",
              "intervalFactor": 2,
              "legendFormat": "Success Rate %",
              "refId": "A"
            }
          ],
          "thresholds": [],
          "timeFrom": null,
          "timeShift": null,
          "title": "Success Rate (non-5xx responses)",
          "tooltip": {
            "shared": true,
            "sort": 0,
            "value_type": "individual"
          },
          "type": "graph",
          "xaxis": {
            "buckets": null,
            "mode": "time",
            "name": null,
            "show": true,
            "values": []
          },
          "yaxes": [
            {
              "decimals": null,
              "format": "percentunit",
              "label": "",
              "logBase": 1,
              "max": "1",
              "min": "0",
              "show": true
            },
            {
              "format": "short",
              "label": null,
              "logBase": 1,
              "max": null,
              "min": 0,
              "show": true
            }
          ],
          "yaxis": {
            "align": false,
            "alignLevel": null
          }
        },
        {
          "aliasColors": {},
          "bars": false,
          "dashLength": 10,
          "dashes": false,
          "datasource": "$datasource",
          "fill": 1,
          "gridPos": {
            "h": 13,
            "w": 12,
            "x": 0,
            "y": 14
          },
          "id": 6,
          "legend": {
            "alignAsTable": true,
            "avg": true,
            "current": true,
            "max": true,
            "min": true,
            "show": true,
            "total": false,
            "values": true
          },
          "lines": true,
          "linewidth": 1,
          "links": [],
          "nullPointMode": "null",
          "percentage": false,
          "pointradius": 5,
          "points": false,
          "renderer": "flot",
          "seriesOverrides": [],
          "spaceLength": 10,
          "stack": false,
          "steppedLine": false,
          "targets": [
            {
              "expr": "sum(rate(envoy_cluster_upstream_cx_connect_timeout{cluster=~\"$cluster\",envoy_cluster_name=~\"[[originating_service]]\"}[1m]))",
              "format": "time_series",
              "intervalFactor": 2,
              "legendFormat": "connect timeout",
              "refId": "A"
            },
            {
              "expr": "sum(rate(envoy_cluster_upstream_rq_pending_failure_eject{cluster=~\"$cluster\",envoy_cluster_name=~\"[[originating_service]]\"}[1m]))",
              "format": "time_series",
              "intervalFactor": 2,
              "legendFormat": "pending failure ejection",
              "refId": "B"
            },
            {
              "expr": "sum(rate(envoy_cluster_upstream_rq_pending_overflow{cluster=~\"$cluster\",envoy_cluster_name=~\"[[originating_service]]\"}[1m]))",
              "format": "time_series",
              "intervalFactor": 2,
              "legendFormat": "pending overflow",
              "refId": "C"
            },
            {
              "expr": "sum(rate(envoy_cluster_upstream_rq_timeout{cluster=~\"$cluster\",envoy_cluster_name=~\"[[originating_service]]\"}[1m]))",
              "format": "time_series",
              "intervalFactor": 2,
              "legendFormat": "request timeout",
              "refId": "D"
            },
            {
              "expr": "sum(rate(envoy_cluster_upstream_rq_per_try_timeout{cluster=~\"$cluster\",envoy_cluster_name=~\"[[originating_service]]\"}[1m]))",
              "format": "time_series",
              "intervalFactor": 2,
              "legendFormat": "per try request timeout",
              "refId": "E"
            },
            {
              "expr": "sum(rate(envoy_cluster_upstream_rq_rx_reset{cluster=~\"$cluster\",envoy_cluster_name=~\"[[originating_service]]\"}[1m]))",
              "format": "time_series",
              "intervalFactor": 2,
              "legendFormat": "request reset",
              "refId": "F"
            },
            {
              "expr": "sum(rate(envoy_cluster_upstream_cx_destroy_local_with_active_rq{cluster=~\"$cluster\",envoy_cluster_name=~\"[[originating_service]]\"}[1m]))",
              "format": "time_series",
              "intervalFactor": 2,
              "legendFormat": "destroy initialized from originating service",
              "refId": "G"
            },
            {
              "expr": "sum(rate(envoy_http_downstream_cx_destroy_remote_active_rq{cluster=~\"$cluster\",envoy_cluster_name=~\"[[originating_service]]\"}[1m]))",
              "format": "time_series",
              "intervalFactor": 2,
              "legendFormat": "destroy initialized from remote service",
              "refId": "H"
            },
            {
              "expr": "sum(rate(envoy_cluster_upstream_rq_maintenance_mode{cluster=~\"$cluster\",envoy_cluster_name=~\"[[originating_service]]\"}[1m]))",
              "format": "time_series",
              "intervalFactor": 2,
              "legendFormat": "request failed maintenance mode",
              "refId": "I"
            }
          ],
          "thresholds": [],
          "timeFrom": null,
          "timeShift": null,
          "title": "Upstream Request Errors",
          "tooltip": {
            "shared": true,
            "sort": 0,
            "value_type": "individual"
          },
          "type": "graph",
          "xaxis": {
            "buckets": null,
            "mode": "time",
            "name": null,
            "show": true,
            "values": []
          },
          "yaxes": [
            {
              "format": "short",
              "label": null,
              "logBase": 1,
              "max": null,
              "min": 0,
              "show": true
            },
            {
              "format": "short",
              "label": null,
              "logBase": 1,
              "max": null,
              "min": 0,
              "show": true
            }
          ],
          "yaxis": {
            "align": false,
            "alignLevel": null
          }
        },
        {
          "aliasColors": {},
          "bars": false,
          "dashLength": 10,
          "dashes": false,
          "datasource": "$datasource",
          "fill": 1,
          "gridPos": {
            "h": 13,
            "w": 6,
            "x": 12,
            "y": 14
          },
          "id": 8,
          "legend": {
            "alignAsTable": true,
            "avg": true,
            "current": true,
            "max": true,
            "min": true,
            "show": true,
            "total": false,
            "values": true
          },
          "lines": true,
          "linewidth": 1,
          "links": [],
          "nullPointMode": "null",
          "percentage": false,
          "pointradius": 5,
          "points": false,
          "renderer": "flot",
          "seriesOverrides": [],
          "spaceLength": 10,
          "stack": false,
          "steppedLine": false,
          "targets": [
            {
              "expr": "sum(rate(envoy_cluster_upstream_flow_control_paused_reading_total{cluster=~\"$cluster\",envoy_cluster_name=~\"[[originating_service]]\"}[1m]))",
              "format": "time_series",
              "interval": "",
              "intervalFactor": 2,
              "legendFormat": "paused reading from destination service",
              "refId": "A"
            },
            {
              "expr": "sum(rate(envoy_cluster_upstream_flow_control_resumed_reading_total{cluster=~\"$cluster\",envoy_cluster_name=~\"[[originating_service]]\"}[1m]))",
              "format": "time_series",
              "intervalFactor": 2,
              "legendFormat": "resumed reading from destination service",
              "refId": "B"
            },
            {
              "expr": "sum(rate(envoy_cluster_upstream_flow_control_backed_up_total{cluster=~\"$cluster\",envoy_cluster_name=~\"[[originating_service]]\"}[1m]))",
              "format": "time_series",
              "intervalFactor": 2,
              "legendFormat": "paused reading from originating service",
              "refId": "C"
            },
            {
              "expr": "sum(rate(envoy_cluster_upstream_flow_control_drained_total{cluster=~\"$cluster\",envoy_cluster_name=~\"[[originating_service]]\"}[1m]))",
              "format": "time_series",
              "intervalFactor": 2,
              "legendFormat": "resumed reading from originating service",
              "refId": "D"
            }
          ],
          "thresholds": [],
          "timeFrom": null,
          "timeShift": null,
          "title": "Upstream Flow Control",
          "tooltip": {
            "shared": true,
            "sort": 0,
            "value_type": "individual"
          },
          "type": "graph",
          "xaxis": {
            "buckets": null,
            "mode": "time",
            "name": null,
            "show": true,
            "values": []
          },
          "yaxes": [
            {
              "format": "short",
              "label": null,
              "logBase": 1,
              "max": null,
              "min": 0,
              "show": true
            },
            {
              "format": "short",
              "label": null,
              "logBase": 1,
              "max": null,
              "min": 0,
              "show": true
            }
          ],
          "yaxis": {
            "align": false,
            "alignLevel": null
          }
        },
        {
          "aliasColors": {},
          "bars": false,
          "dashLength": 10,
          "dashes": false,
          "datasource": "$datasource",
          "fill": 1,
          "gridPos": {
            "h": 13,
            "w": 6,
            "x": 18,
            "y": 14
          },
          "id": 7,
          "legend": {
            "alignAsTable": true,
            "avg": true,
            "current": true,
            "max": true,
            "min": true,
            "show": true,
            "total": false,
            "values": true
          },
          "lines": true,
          "linewidth": 1,
          "links": [],
          "nullPointMode": "null",
          "percentage": false,
          "pointradius": 5,
          "points": false,
          "renderer": "flot",
          "seriesOverrides": [],
          "spaceLength": 10,
          "stack": false,
          "steppedLine": false,
          "targets": [
            {
              "expr": "sum(rate(envoy_cluster_upstream_rq_retry{cluster=~\"$cluster\",envoy_cluster_name=~\"[[originating_service]]\"}[1m]))",
              "format": "time_series",
              "interval": "",
              "intervalFactor": 2,
              "legendFormat": "request retry",
              "refId": "A"
            },
            {
              "expr": "sum(rate(envoy_cluster_upstream_rq_retry_success{cluster=~\"$cluster\",envoy_cluster_name=~\"[[originating_service]]\"}[1m]))",
              "format": "time_series",
              "intervalFactor": 2,
              "legendFormat": "request retry success",
              "refId": "B"
            },
            {
              "expr": "sum(rate(envoy_cluster_upstream_rq_retry_overflow{cluster=~\"$cluster\",envoy_cluster_name=~\"[[originating_service]]\"}[1m]))",
              "format": "time_series",
              "intervalFactor": 2,
              "legendFormat": "request retry overflow",
              "refId": "C"
            }
          ],
          "thresholds": [],
          "timeFrom": null,
          "timeShift": null,
          "title": "Upstream Request Retry",
          "tooltip": {
            "shared": true,
            "sort": 0,
            "value_type": "individual"
          },
          "type": "graph",
          "xaxis": {
            "buckets": null,
            "mode": "time",
            "name": null,
            "show": true,
            "values": []
          },
          "yaxes": [
            {
              "format": "short",
              "label": null,
              "logBase": 1,
              "max": null,
              "min": 0,
              "show": true
            },
            {
              "format": "short",
              "label": null,
              "logBase": 1,
              "max": null,
              "min": 0,
              "show": true
            }
          ],
          "yaxis": {
            "align": false,
            "alignLevel": null
          }
        }
      ],
      "refresh": "10s",
      "schemaVersion": 16,
      "style": "dark",
      "tags": [
        "envoy"
      ],
      "templating": {
        "list": [
          {
            "current": {
                "text": "Prometheus",
                "value": "Prometheus"
            },
            "hide": 0,
            "label": null,
            "name": "datasource",
            "options": [
            ],
            "query": "prometheus",
            "refresh": 1,
            "regex": "",
            "type": "datasource"
          },
          {
            "allValue": null,
            "current": {},
            "datasource": "$datasource",
            "hide": ___CLUSTER_SELECTOR_HIDDEN_VALUE___,
            "includeAll": false,
            "label": null,
            "multi": false,
            "name": "cluster",
            "options": [],
            "query": "label_values(up{job=\"kubelet\", metrics_path=\"/metrics/cadvisor\"}, cluster)",
            "refresh": 2,
            "regex": "",
            "sort": 0,
            "tagValuesQuery": "",
            "tags": [],
            "tagsQuery": "",
            "type": "query",
            "useTags": false
          },
          {
            "allValue": ".+",
            "current": {},
            "datasource": "$datasource",
            "hide": 0,
            "includeAll": true,
            "label": "Originating Instance",
            "multi": false,
            "name": "originating_instance",
            "options": [],
            "query": "label_values(envoy_server_version{cluster=\"$cluster\"}, instance)",
            "refresh": 2,
            "regex": "",
            "sort": 1,
            "tagValuesQuery": "",
            "tags": [
              "envoy"
            ],
            "tagsQuery": "",
            "type": "query",
            "useTags": false
          },
          {
            "allValue": ".+",
            "current": {},
            "datasource": "$datasource",
            "hide": 0,
            "includeAll": false,
            "label": "Originating Service",
            "multi": false,
            "name": "originating_service",
            "options": [],
            "query": "label_values(envoy_cluster_version{cluster=\"$cluster\"}, envoy_cluster_name)",
            "refresh": 2,
            "regex": "",
            "sort": 1,
            "tagValuesQuery": "",
            "tags": [],
            "tagsQuery": "",
            "type": "query",
            "useTags": false
          }
        ]
      },
      "time": {
        "from": "now-12h",
        "to": "now"
      },
      "timepicker": {
        "refresh_intervals": [
          "5s",
          "10s",
          "30s",
          "1m",
          "5m",
          "15m",
          "30m",
          "1h",
          "2h",
          "1d"
        ],
        "time_options": [
          "5m",
          "15m",
          "1h",
          "6h",
          "12h",
          "24h",
          "2d",
          "7d",
          "30d"
        ]
      },
      "timezone": "",
      "title": "Envoy Service",
      "uid": "xqMCATKik",
      "version": 18,
      "description": "Envoy Service Dashboard"
    }
